import type { Ref } from 'vue';
export declare function useLinkable(props: {
    to: Ref<string | object | undefined>;
    href: Ref<string | undefined>;
    tag: Ref<string>;
}): {
    tag: import("vue").ComputedRef<any>;
    isLink: import("vue").ComputedRef<string | object | undefined>;
};
